import { Jsonified } from '@tangential/core';
import { NumberIval, NumberIvalIF } from '../number/number-ival';
import { NumberType, NumberTypeIF } from '../number/number-type';
export interface DurationTypeJson extends NumberTypeIF {
    min?: number;
    max?: number;
    step?: number;
    decimalPlaces?: number;
    defaultValue?: number;
}
export declare class DurationType extends NumberType implements Jsonified<DurationType, DurationTypeJson>, NumberTypeIF {
    static $model: NumberTypeIF;
    static TYPE_NAME: string;
    max?: number;
    step?: number;
    decimalPlaces?: number;
    defaultValue?: number;
    constructor(config?: DurationTypeJson, key?: string);
    getInputTypeKey(): string;
    createValue(cfg?: NumberIvalIF, key?: string): NumberIval;
}
