import { NumberType, NumberTypeIF } from '../../data-type/number/number-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface NumberSpinnerConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after' | 'below';
    disabled?: boolean;
    typeConfig?: NumberTypeIF;
}
export declare class NumberSpinnerConfig extends InputConfig implements NumberSpinnerConfigIF {
    static $model: NumberSpinnerConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after' | 'below';
    disabled: boolean;
    typeConfig: NumberType;
    constructor(config?: NumberSpinnerConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
