"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@tangential/core");
var moment = require("moment");
var configurable_input_ival_1 = require("../configurable-input-ival");
var BROWSER_DATE_TIME_LOCAL_FORMAT = 'YYYY-MM-DDTHH:mm';
var Model = {
    value: 0,
    recordedInTimeZone: 'GMT'
};
var DateTimeIval = (function (_super) {
    __extends(DateTimeIval, _super);
    function DateTimeIval(config, key) {
        var _this = _super.call(this, config, key) || this;
        _this.value = config.value || 0;
        return _this;
    }
    Object.defineProperty(DateTimeIval.prototype, "uiValue", {
        get: function () {
            return moment(this.value).format(BROWSER_DATE_TIME_LOCAL_FORMAT);
        },
        set: function (val) {
            this.value = moment(val, BROWSER_DATE_TIME_LOCAL_FORMAT).valueOf();
        },
        enumerable: true,
        configurable: true
    });
    return DateTimeIval;
}(configurable_input_ival_1.ConfigurableInputIval));
DateTimeIval.$model = core_1.ObjectUtil.assignDeep({}, configurable_input_ival_1.ConfigurableInputIval.$model, Model);
exports.DateTimeIval = DateTimeIval;

//# sourceMappingURL=date-time-ival.js.map
