import { Jsonified } from '@tangential/core';
import { DateTimeType, DateTimeTypeIF } from '../../data-type/date-time/date-time-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface DateTimeInputConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after';
    disabled?: boolean;
    format?: string;
    typeConfig?: DateTimeTypeIF;
}
export declare class DateTimeInputConfig extends InputConfig implements Jsonified<DateTimeInputConfig, DateTimeInputConfigIF>, DateTimeInputConfigIF {
    static $model: DateTimeInputConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after';
    disabled: boolean;
    typeConfig: DateTimeType;
    constructor(config?: DateTimeInputConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
