import { NumberType, NumberTypeIF } from '../../data-type/number/number-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface IconRatingWidgetConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after' | 'below';
    disabled?: boolean;
    typeConfig?: NumberTypeIF;
    iconCount?: number;
    iconFont?: string;
    offIconNames?: string[];
    onIconNames?: string[];
}
export declare class IconRatingWidgetConfig extends InputConfig implements IconRatingWidgetConfigIF {
    static $model: IconRatingWidgetConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after' | 'below';
    disabled: boolean;
    typeConfig: NumberType;
    iconCount?: number;
    iconFont?: string;
    offIconNames?: string[];
    onIconNames?: string[];
    constructor(config?: IconRatingWidgetConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
