"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var core_2 = require("@tangential/core");
var text_ival_1 = require("../../data-type/text/text-ival");
var input_view_mode_1 = require("../../support/input-view-mode");
var text_input_config_1 = require("./text-input-config");
var TextTemplateComponent = (function () {
    function TextTemplateComponent(_changeDetector) {
        this._changeDetector = _changeDetector;
        this.mode = null;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    TextTemplateComponent.prototype.ngOnInit = function () {
        core_2.Hacks.materialDesignPlaceholderText(this._changeDetector);
    };
    return TextTemplateComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", text_input_config_1.TextInputConfig)
], TextTemplateComponent.prototype, "config", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", text_ival_1.TextIval)
], TextTemplateComponent.prototype, "ival", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", Object)
], TextTemplateComponent.prototype, "mode", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], TextTemplateComponent.prototype, "change", void 0);
TextTemplateComponent = __decorate([
    core_1.Component({
        template: "<!-- -->\n  <ng-container *ngIf=\"mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  \">\n    <tanj-text-widget [labelPosition]=\"config.labelPosition\"\n                     [disabled]=\"mode === viewModes.PREVIEW || config.disabled\"\n                     [label]=\"config.label\"\n                     [(value)]=\"ival.value\"\n                     [maxLength]=\"config.typeConfig.maxLength\"\n                     [minLength]=\"config.typeConfig.minLength\">\n\n    </tanj-text-widget>\n  </ng-container>\n  <ng-container *ngIf=\"mode == viewModes.CONFIGURE\">\n    <tanj-text-configure\n      [labelPosition]=\"config.labelPosition\"\n      [(label)]=\"config.label\"\n      [(value)]=\"ival.value\"\n      [(defaultValue)]=\"config.typeConfig.defaultValue\"\n      [(maxLength)]=\"config.typeConfig.maxLength\"\n      [(minLength)]=\"config.typeConfig.minLength\">\n    </tanj-text-configure>\n  </ng-container>\n\n                 ",
        encapsulation: core_1.ViewEncapsulation.None
    }),
    __metadata("design:paramtypes", [core_1.ChangeDetectorRef])
], TextTemplateComponent);
exports.TextTemplateComponent = TextTemplateComponent;

//# sourceMappingURL=text-template.component.js.map
